# Define a 'Service' To Expose the application
apiVersion: v1
kind: Service
metadata:
  name: config-server
spec:
  type: NodePort
  ports:
    - protocol: TCP
      port: 8888
      targetPort: 8888
      nodePort: 30090
  selector:
    app: config-server
---
# Config server deployment
apiVersion: apps/v1
kind: Deployment
metadata:
  name: config-server
spec:
  selector:
    matchLabels:
      app: config-server
  replicas: 2
  template:
    metadata:
      labels:
        app: config-server
    spec:
      containers:
        - name: config-server
          image: xocbayar/config-server:latest
          # imagePullPolicy: Never
          ports:
            - containerPort: 8888
